Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List all units a user is part of.

List all units a user is part of. Get all organizational units the given user is part of.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/orgstructure/users/{userId}
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

userIdstringrequired

ID of user

Responses
200

Organizational units the given user is part of

Array of OrgUnit
breadcrumbsBreadcrumb[]required
Show properties
Array of Breadcrumb
idstringrequired
namestringrequired
deputystring[]required
descriptionLocalizedFormattedText[]required
Show properties
Array of LocalizedFormattedText
formatTextFormatrequired
Allowed:BBCodeHTMLPlainText
textLocalizedStringrequired
Show properties
translationsStringTranslation[]required
valuestring
explicitRoleIdsstring[]required
externalbooleanrequired
idstring
membersstring[]required
parentIdstring
responsiblestring[]required
titleLocalizedStringrequired
Show properties
translationsStringTranslation[]required
Show properties
Array of StringTranslation
languagestringrequired
valuestring
valuestring
typestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/orgstructure/users/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
[
  {
    "breadcrumbs": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "deputy": [
      "string"
    ],
    "description": [
      {
        "format": "BBCode",
        "text": {
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ],
          "value": "string"
        }
      }
    ],
    "explicitRoleIds": [
      "string"
    ],
    "external": true,
    "id": "string",
    "members": [
      "string"
    ],
    "parentId": "string",
    "responsible": [
      "string"
    ],
    "title": {
      "translations": [
        {
          "language": "string",
          "value": "string"
        }
      ],
      "value": "string"
    },
    "type": "string"
  }
]